#ifndef MENU_H_INCLUDED
#define MENU_H_INCLUDED

///menu.h
///Date de modification: 02_10_2013
///Objet: réorganisation de l'ordre d'affichage
///Prochaine étape:

#include "Bouton.h"
#include "../Headers/transform.h"
#include "gestionnaireNiveaux.h"

/*
-Rôle de menu.h:
        La fonction menu permet d'afficher la liste des niveaux disponibles. Lorsque le joueur a chosi
    le niveau à lancer, le menu retourne le nom du fichier correspondant. Si il a quitté, le
    string est "quitter".

-Fichiers inclus:
	+Bouton.h:
		Fichier contenant de quoi créer des boutons.
    +transform.h:
		Permet de créer des SDL surfaces à partir de string.
*/

std::string menu();

#endif // MENU_H_INCLUDED
