#ifndef TRANSFORM_H_INCLUDED
#define TRANSFORM_H_INCLUDED

///Modifié le: 14/06/2013
///Objet: couleur

#include <iostream>
#include <string>

#include <SDL.h>
#include <SDL_ttf.h>

/*
===La fonction transform===
    +Définition:
        Elle permet de convertir un string en SDL_Surface. Attention ! Stocker la valeur retournée dans
        un pointeur et n'oubliez pas le SDL_FreeSurface ! Sinon, risque de fuite de mémoire.

*/

SDL_Surface* transform(std::string const chaine, int const taille, SDL_Color couleur);
SDL_Surface* transform(std::string const chaine, int const taille);
SDL_Surface* transform(std::string const chaine);

#endif // TRANSFORM_H_INCLUDED
